/***************************************************
//Web: http://www.buydisplay.com
EastRising Technology Co.,LTD
Examples for ER-OLEDM0.86-1
Display is Hardward I2C 2-Wire I2C Interface 
Tested and worked with: 
Works with Raspberry pi
****************************************************/

#include <bcm2835.h>
#include <stdio.h>
#include <time.h>
#include "ssd1316.h"

char value[10] = {'0', '1', '2', '3', '4', '5', '6', '7', '8', '9'};
int main(int argc, char **argv)
{
    time_t now;
    struct tm *timenow;
    if(!bcm2835_init())
    {
        return -1;
    }
    printf("OLED begin\r\n");
    SSD1316_begin();
    printf("OLED bitmap\r\n");
    SSD1316_bitmap(0, 0, PIC1, 96, 32);
    SSD1316_display();
    bcm2835_delay(3000);
    printf("OLED clear\r\n");
    SSD1316_clear();
    printf("OLED bitmap\r\n");
    SSD1316_bitmap(0, 0, PIC2, 96, 32);
    SSD1316_display();
    bcm2835_delay(3000);
    printf("OLED clear\r\n");
    SSD1316_clear();
    printf("OLED display time\r\n");
    while(1)
    {
        time(&now);
        timenow = localtime(&now);

 
	if((timenow->tm_sec % 2)==0)
        SSD1316_string(6, 20, "buydisplay.com", 12, 0); 
        else
        SSD1316_string(6, 20, "buydisplay.com", 12, 1); 

        SSD1316_char(0, 0, value[timenow->tm_hour / 10], 16, 1);
        SSD1316_char(14, 0, value[timenow->tm_hour % 10], 16, 1);
        SSD1316_char(26, 0, ':' , 16, 1);
        SSD1316_char(38, 0, value[timenow->tm_min / 10], 16, 1);
        SSD1316_char(50, 0, value[timenow->tm_min % 10], 16, 1);
        SSD1316_char(62, 0, ':' , 16, 1);
        SSD1316_char(74, 0, value[timenow->tm_sec / 10], 16, 1);
        SSD1316_char(86, 0, value[timenow->tm_sec % 10], 16, 1);

    
        SSD1316_display();


    }
    bcm2835_i2c_end();
    bcm2835_close();
    return 0;
}

